Search documentation of phoenix_kit

# PhoenixKit.Storage.Workers.ProcessFileJob (phoenix_kit v1.6.19)

View Source

Oban job for background processing of uploaded files.

This job handles:

- Generating file variants (thumbnails, resizes)
- Extracting metadata (dimensions, duration)
- Updating file status

# Summary

## Functions

perform(job)

Process a file and generate variants.

# Functions

# perform(job)

Process a file and generate variants.